Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_buoy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_buoy.F90	(revision 5140)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_buoy.F90	(revision 5141)
@@ -9,9 +9,9 @@
   ! modified by :                                               *
   ! **************************************************************
+  USE lmdz_cvthermo
+  USE lmdz_cv3param
 
   IMPLICIT NONE
 
-  include "cvthermo.h"
-  include "cv3param.h"
   include "YOMCST2.h"
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_cine.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_cine.F90	(revision 5140)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_cine.F90	(revision 5141)
@@ -1,7 +1,6 @@
-
 ! $Id$
 
 SUBROUTINE cv3_cine(nloc, ncum, nd, icb, inb, pbase, plcl, p, ph, tv, tvp, &
-    cina, cinb, plfc)
+        cina, cinb, plfc)
 
   ! **************************************************************
@@ -14,15 +13,15 @@
   ! modified by :                                               *
   ! **************************************************************
+  USE lmdz_cvthermo
+  USE lmdz_cv3param
 
   IMPLICIT NONE
 
   include "YOMCST.h"
-  include "cvthermo.h"
-  include "cv3param.h"
   ! input:
   INTEGER ncum, nd, nloc
   INTEGER icb(nloc), inb(nloc)
   REAL pbase(nloc), plcl(nloc)
-  REAL p(nloc, nd), ph(nloc, nd+1)
+  REAL p(nloc, nd), ph(nloc, nd + 1)
   REAL tv(nloc, nd), tvp(nloc, nd)
 
@@ -67,9 +66,9 @@
 
   DO il = 1, ncum
-    tvplcl(il) = tvp(il, 1)*(plcl(il)/p(il,1))**(2./7.) !For dry air, R/Cp=2/7
-  END DO
-
-  DO il = 1, ncum
-    IF (plcl(il)>p(il,icb(il))) THEN
+    tvplcl(il) = tvp(il, 1) * (plcl(il) / p(il, 1))**(2. / 7.) !For dry air, R/Cp=2/7
+  END DO
+
+  DO il = 1, ncum
+    IF (plcl(il)>p(il, icb(il))) THEN
       ifst(il) = icb(il)
       isublcl(il) = icb(il) - 1
@@ -81,6 +80,6 @@
 
   DO il = 1, ncum
-    tvlcl(il) = tv(il, ifst(il)-1) + (tv(il,ifst(il))-tv(il,ifst(il)-1))*( &
-      plcl(il)-p(il,ifst(il)-1))/(p(il,ifst(il))-p(il,ifst(il)-1))
+    tvlcl(il) = tv(il, ifst(il) - 1) + (tv(il, ifst(il)) - tv(il, ifst(il) - 1)) * (&
+            plcl(il) - p(il, ifst(il) - 1)) / (p(il, ifst(il)) - p(il, ifst(il) - 1))
   END DO
 
@@ -102,5 +101,5 @@
     DO il = 1, ncum
       IF (k>=ifst(il)) THEN
-        IF (buoy(il,k)>0.) THEN
+        IF (buoy(il, k)>0.) THEN
           itop(il) = k
           exist_lfc(il) = .TRUE.
@@ -146,5 +145,5 @@
   DO il = 1, ncum
     IF (lswitch(il)) THEN
-      IF (p(il,ineg(il))<p(il,icb(il))-dpmax) THEN
+      IF (p(il, ineg(il))<p(il, icb(il)) - dpmax) THEN
         plfc(il) = plcl(il)
         cina(il) = 0.
@@ -173,5 +172,5 @@
     DO il = 1, ncum
       IF (lswitch(il)) THEN
-        IF (k>=ineg(il) .AND. buoy(il,k)>0) THEN
+        IF (k>=ineg(il) .AND. buoy(il, k)>0) THEN
           itop(il) = k
         END IF
@@ -191,5 +190,5 @@
 
   DO il = 1, ncum
-    lswitch3(il) = itop(il) < nl -1
+    lswitch3(il) = itop(il) < nl - 1
     lswitch(il) = lswitch1(il) .AND. lswitch2(il) .AND. lswitch3(il)
   END DO
@@ -202,14 +201,14 @@
       ! de LCL
       ! ---------------------------------------------------------------------------
-      IF (ineg(il)>isublcl(il)+1) THEN
+      IF (ineg(il)>isublcl(il) + 1) THEN
         ! In order to get P0, one may interpolate linearly buoyancies
         ! between P(ineg) and P(ineg-1).
-        p0(il) = (buoy(il,ineg(il))*p(il,ineg(il)-1)-buoy(il,ineg(il)-1)*p(il,ineg(il)))/ &
-          (buoy(il,ineg(il))-buoy(il,ineg(il)-1))
+        p0(il) = (buoy(il, ineg(il)) * p(il, ineg(il) - 1) - buoy(il, ineg(il) - 1) * p(il, ineg(il))) / &
+                (buoy(il, ineg(il)) - buoy(il, ineg(il) - 1))
       ELSE
         ! In order to get P0, one has to interpolate between P(ineg) and
         ! Plcl.
-        p0(il) = (buoy(il,ineg(il))*plcl(il)-buoylcl(il)*p(il,ineg(il)))/ &
-          (buoy(il,ineg(il))-buoylcl(il))
+        p0(il) = (buoy(il, ineg(il)) * plcl(il) - buoylcl(il) * p(il, ineg(il))) / &
+                (buoy(il, ineg(il)) - buoylcl(il))
       END IF
     END IF
@@ -220,6 +219,6 @@
   DO il = 1, ncum
     IF (lswitch(il)) THEN
-      plfc(il) = (buoy(il,itop(il))*p(il,itop(il)-1)-buoy(il,itop( &
-        il)-1)*p(il,itop(il)))/(buoy(il,itop(il))-buoy(il,itop(il)-1))
+      plfc(il) = (buoy(il, itop(il)) * p(il, itop(il) - 1) - buoy(il, itop(&
+              il) - 1) * p(il, itop(il))) / (buoy(il, itop(il)) - buoy(il, itop(il) - 1))
     END IF
   END DO
@@ -231,6 +230,6 @@
   DO il = 1, ncum
     IF (lswitch(il)) THEN
-      deltap = p(il, itop(il)-1) - plfc(il)
-      dcin = rd*buoy(il, itop(il)-1)*deltap/(p(il,itop(il)-1)+plfc(il))
+      deltap = p(il, itop(il) - 1) - plfc(il)
+      dcin = rd * buoy(il, itop(il) - 1) * deltap / (p(il, itop(il) - 1) + plfc(il))
       cina(il) = min(0., dcin)
     END IF
@@ -241,7 +240,7 @@
     DO il = 1, ncum
       IF (lswitch(il)) THEN
-        IF (k>=ineg(il) .AND. k<=itop(il)-2) THEN
-          deltap = p(il, k) - p(il, k+1)
-          dcin = 0.5*rd*(buoy(il,k)+buoy(il,k+1))*deltap/ph(il, k+1)
+        IF (k>=ineg(il) .AND. k<=itop(il) - 2) THEN
+          deltap = p(il, k) - p(il, k + 1)
+          dcin = 0.5 * rd * (buoy(il, k) + buoy(il, k + 1)) * deltap / ph(il, k + 1)
           cina(il) = cina(il) + min(0., dcin)
         END IF
@@ -254,5 +253,5 @@
     IF (lswitch(il)) THEN
       deltap = p0(il) - p(il, ineg(il))
-      dcin = rd*buoy(il, ineg(il))*deltap/(p(il,ineg(il))+p0(il))
+      dcin = rd * buoy(il, ineg(il)) * deltap / (p(il, ineg(il)) + p0(il))
       cina(il) = cina(il) + min(0., dcin)
     END IF
@@ -282,6 +281,6 @@
   DO k = nl, 1, -1
     DO il = 1, ncum
-      IF (lswitch(il) .AND. k<=icb(il)-1) THEN
-        IF (buoy(il,k)<0.) THEN
+      IF (lswitch(il) .AND. k<=icb(il) - 1) THEN
+        IF (buoy(il, k)<0.) THEN
           ilow(il) = k
         END IF
@@ -295,6 +294,6 @@
     IF (lswitch(il)) THEN
       IF (ilow(il)>1) THEN
-        p0(il) = (buoy(il,ilow(il))*p(il,ilow(il)-1)-buoy(il,ilow( &
-          il)-1)*p(il,ilow(il)))/(buoy(il,ilow(il))-buoy(il,ilow(il)-1))
+        p0(il) = (buoy(il, ilow(il)) * p(il, ilow(il) - 1) - buoy(il, ilow(&
+                il) - 1) * p(il, ilow(il))) / (buoy(il, ilow(il)) - buoy(il, ilow(il) - 1))
         buoyz(il) = 0.
       ELSE
@@ -310,5 +309,5 @@
   DO il = 1, ncum
     lswitch2(il) = (isublcl(il)==1 .AND. ilow(il)==1) .OR. &
-      (isublcl(il)==ilow(il)-1)
+            (isublcl(il)==ilow(il) - 1)
     lswitch(il) = lswitch1(il) .AND. lswitch2(il)
   END DO
@@ -321,5 +320,5 @@
     IF (lswitch(il)) THEN
       deltap = p0(il) - plcl(il)
-      dcin = rd*(buoyz(il)+buoylcl(il))*deltap/(p0(il)+plcl(il))
+      dcin = rd * (buoyz(il) + buoylcl(il)) * deltap / (p0(il) + plcl(il))
       cinb(il) = min(0., dcin)
     END IF
@@ -338,5 +337,5 @@
     IF (lswitch(il)) THEN
       deltap = p0(il) - p(il, ilow(il))
-      dcin = rd*(buoyz(il)+buoy(il,ilow(il)))*deltap/(p0(il)+p(il,ilow(il)))
+      dcin = rd * (buoyz(il) + buoy(il, ilow(il))) * deltap / (p0(il) + p(il, ilow(il)))
       cinb(il) = min(0., dcin)
     END IF
@@ -348,7 +347,7 @@
   DO k = 1, nl
     DO il = 1, ncum
-      IF (lswitch(il) .AND. k>=ilow(il) .AND. k<=isublcl(il)-1) THEN
-        deltap = p(il, k) - p(il, k+1)
-        dcin = 0.5*rd*(buoy(il,k)+buoy(il,k+1))*deltap/ph(il, k+1)
+      IF (lswitch(il) .AND. k>=ilow(il) .AND. k<=isublcl(il) - 1) THEN
+        deltap = p(il, k) - p(il, k + 1)
+        dcin = 0.5 * rd * (buoy(il, k) + buoy(il, k + 1)) * deltap / ph(il, k + 1)
         cinb(il) = cinb(il) + min(0., dcin)
       END IF
@@ -360,6 +359,6 @@
     IF (lswitch(il)) THEN
       deltap = p(il, isublcl(il)) - plcl(il)
-      dcin = rd*(buoy(il,isublcl(il))+buoylcl(il))*deltap/ &
-        (p(il,isublcl(il))+plcl(il))
+      dcin = rd * (buoy(il, isublcl(il)) + buoylcl(il)) * deltap / &
+              (p(il, isublcl(il)) + plcl(il))
       cinb(il) = cinb(il) + min(0., dcin)
     END IF
@@ -373,5 +372,5 @@
 
   DO il = 1, ncum
-    lswitch2(il) = plcl(il) > p(il, itop(il)-1)
+    lswitch2(il) = plcl(il) > p(il, itop(il) - 1)
     lswitch(il) = lswitch1(il) .AND. lswitch2(il)
   END DO
@@ -383,6 +382,6 @@
   DO il = 1, ncum
     IF (lswitch(il)) THEN
-      plfc(il) = (buoy(il,itop(il))*p(il,itop(il)-1)-buoy(il,itop( &
-        il)-1)*p(il,itop(il)))/(buoy(il,itop(il))-buoy(il,itop(il)-1))
+      plfc(il) = (buoy(il, itop(il)) * p(il, itop(il) - 1) - buoy(il, itop(&
+              il) - 1) * p(il, itop(il))) / (buoy(il, itop(il)) - buoy(il, itop(il) - 1))
     END IF
   END DO
@@ -391,6 +390,6 @@
   DO il = 1, ncum
     IF (lswitch(il)) THEN
-      deltap = p(il, itop(il)-1) - plfc(il)
-      dcin = rd*buoy(il, itop(il)-1)*deltap/(p(il,itop(il)-1)+plfc(il))
+      deltap = p(il, itop(il) - 1) - plfc(il)
+      dcin = rd * buoy(il, itop(il) - 1) * deltap / (p(il, itop(il) - 1) + plfc(il))
       cina(il) = min(0., dcin)
     END IF
@@ -400,7 +399,7 @@
   DO k = 1, nl
     DO il = 1, ncum
-      IF (lswitch(il) .AND. k>=icb(il)+1 .AND. k<=itop(il)-2) THEN
-        deltap = p(il, k) - p(il, k+1)
-        dcin = 0.5*rd*(buoy(il,k)+buoy(il,k+1))*deltap/ph(il, k+1)
+      IF (lswitch(il) .AND. k>=icb(il) + 1 .AND. k<=itop(il) - 2) THEN
+        deltap = p(il, k) - p(il, k + 1)
+        dcin = 0.5 * rd * (buoy(il, k) + buoy(il, k + 1)) * deltap / ph(il, k + 1)
         cina(il) = cina(il) + min(0., dcin)
       END IF
@@ -411,20 +410,20 @@
   DO il = 1, ncum
     IF (lswitch(il)) THEN
-      IF (plcl(il)>p(il,icb(il))) THEN
-        IF (icb(il)<itop(il)-1) THEN
-          deltap = p(il, icb(il)) - p(il, icb(il)+1)
-          dcin = 0.5*rd*(buoy(il,icb(il))+buoy(il,icb(il)+1))*deltap/ &
-            ph(il, icb(il)+1)
+      IF (plcl(il)>p(il, icb(il))) THEN
+        IF (icb(il)<itop(il) - 1) THEN
+          deltap = p(il, icb(il)) - p(il, icb(il) + 1)
+          dcin = 0.5 * rd * (buoy(il, icb(il)) + buoy(il, icb(il) + 1)) * deltap / &
+                  ph(il, icb(il) + 1)
           cina(il) = cina(il) + min(0., dcin)
         END IF
 
         deltap = plcl(il) - p(il, icb(il))
-        dcin = rd*(buoylcl(il)+buoy(il,icb(il)))*deltap/ &
-          (plcl(il)+p(il,icb(il)))
+        dcin = rd * (buoylcl(il) + buoy(il, icb(il))) * deltap / &
+                (plcl(il) + p(il, icb(il)))
         cina(il) = cina(il) + min(0., dcin)
       ELSE
-        deltap = plcl(il) - p(il, icb(il)+1)
-        dcin = rd*(buoylcl(il)+buoy(il,icb(il)+1))*deltap/ &
-          (plcl(il)+p(il,icb(il)+1))
+        deltap = plcl(il) - p(il, icb(il) + 1)
+        dcin = rd * (buoylcl(il) + buoy(il, icb(il) + 1)) * deltap / &
+                (plcl(il) + p(il, icb(il) + 1))
         cina(il) = cina(il) + min(0., dcin)
       END IF
@@ -442,6 +441,6 @@
   DO il = 1, ncum
     IF (lswitch(il)) THEN
-      plfc(il) = (buoy(il,itop(il))*plcl(il)-buoylcl(il)*p(il,itop(il)))/ &
-        (buoy(il,itop(il))-buoylcl(il))
+      plfc(il) = (buoy(il, itop(il)) * plcl(il) - buoylcl(il) * p(il, itop(il))) / &
+              (buoy(il, itop(il)) - buoylcl(il))
     END IF
   END DO
@@ -450,5 +449,5 @@
     IF (lswitch(il)) THEN
       deltap = plcl(il) - plfc(il)
-      dcin = rd*buoylcl(il)*deltap/(plcl(il)+plfc(il))
+      dcin = rd * buoylcl(il) * deltap / (plcl(il) + plfc(il))
       cina(il) = min(0., dcin)
     END IF
@@ -456,6 +455,3 @@
   ! c      ENDIF
 
-
-
-
 END SUBROUTINE cv3_cine
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_crit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_crit.F90	(revision 5140)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_crit.F90	(revision 5141)
@@ -9,8 +9,7 @@
   ! modified by :                                               *
   ! **************************************************************
+  USE lmdz_cv3param
 
   IMPLICIT NONE
-
-  include "cv3param.h"
 
   ! input:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_enthalpmix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_enthalpmix.F90	(revision 5140)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_enthalpmix.F90	(revision 5141)
@@ -10,5 +10,5 @@
   ! modified by :  Filiberti M-A 06/2005 vectorisation          *
   ! **************************************************************
-
+USE lmdz_cvthermo
   IMPLICIT NONE
   ! ==============================================================
@@ -22,5 +22,4 @@
   ! ===============================================================
 
-  include "cvthermo.h"
   include "YOETHF.h"
   include "YOMCST.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_estatmix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_estatmix.F90	(revision 5140)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_estatmix.F90	(revision 5141)
@@ -11,5 +11,5 @@
   ! modified by :  Filiberti M-A 06/2005 vectorisation              *
   ! ****************************************************************
-
+USE lmdz_cvthermo
   IMPLICIT NONE
   ! ==============================================================
@@ -23,5 +23,4 @@
   ! ===============================================================
 
-  include "cvthermo.h"
   include "YOETHF.h"
   include "YOMCST.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_mixscale.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_mixscale.F90	(revision 5140)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_mixscale.F90	(revision 5141)
@@ -9,7 +9,7 @@
   ! **************************************************************
 
+USE lmdz_cv3param
+
   IMPLICIT NONE
-
-  include "cv3param.h"
 
 !inputs:
